/*
 * Copyright (C) 2018 Gravity Engineering Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package example.test;

import java.awt.event.KeyListener;

import javax.swing.JFrame;
import javax.swing.JLabel;

/**
 * サーバ側でGUI(JFrame)を起動し、リスナー登録するサンプル
 * @author yamamoto
 *
 */
public class ListenerSample {
	private JFrame frame;

	public void showFrame() {
		frame = new JFrame("ListenerSample callback test");
		frame.setBounds(200, 200, 200, 160);
		frame.setSize(400, 200);
		frame.add(new JLabel(" please type some key "));
		frame.setVisible(true);
	}

	public void addKeyListener(KeyListener l) {
		frame.addKeyListener(l);
	}
}
