/*
 * Copyright (C) 2018 Gravity Engineering Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package example.test;

import javax.swing.JLabel;

import com.graveng.rci.Packet;
import com.graveng.rci.client.Rci;

/**
 * GUIクラスを遠隔実行しイベントを受けるクライアント側のサンプル
 */
public class Test21 {
	public static void main(String[] args) {
        String server = "localhost";
        int port = 5243; //サーバー側のポート番号

        Rci rci = new Rci();
        try {
			rci.connect(server, port);
			rci.authUser("山田太郎", "pass", "SHA-256", 0);

            Packet jframe = rci.invoke("new", "javax.swing.JFrame", "GUI sample callback test");
            rci.exec(jframe,  "setBounds", 200, 200, 200, 160);
            rci.exec(jframe,  "setSize", 400, 200);
            rci.exec(jframe,  "add", new JLabel(" please type some key "));
            rci.exec(jframe,  "setVisible", true);

            ClientKeyEvent cke = new ClientKeyEvent();
            ServerKeyEvent ske = new ServerKeyEvent();
            rci.registListener(jframe,  cke, "addKeyListener", ske);
        } catch (Exception e) {
			e.printStackTrace();
		}
	}
}
